spe_stop_info Struct Reference

`#include <libspe2-types.h>`

Collaboration diagram for spe_stop_info:

## Data Fields

unsigned int | stop_reason
union {
int spe_exit_code
int spe_signal_code
int spe_runtime_error
int spe_runtime_exception
int spe_runtime_fatal
int spe_callback_error
int spe_isolation_error
void * __reserved_ptr
unsigned long long __reserved_u64
} | result
int | spu_status

## Detailed Description

spe_stop_info_t

Definition at line 118 of file libspe2-types.h.

## Field Documentation

void* __reserved_ptr

Definition at line 129 of file libspe2-types.h.

unsigned long long __reserved_u64

Definition at line 130 of file libspe2-types.h.

union { ... } result

Referenced by _base_spe_context_run().

int spe_callback_error

Definition at line 126 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_exit_code

Definition at line 121 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_isolation_error

Definition at line 127 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_runtime_error

Definition at line 123 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_runtime_exception

Definition at line 124 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_runtime_fatal

Definition at line 125 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spe_signal_code

Definition at line 122 of file libspe2-types.h.

Referenced by _base_spe_context_run().

int spu_status

Definition at line 132 of file libspe2-types.h.

Referenced by _base_spe_context_run().

unsigned int stop_reason

Definition at line 119 of file libspe2-types.h.

Referenced by _base_spe_context_run().

The documentation for this struct was generated from the following file:

- libspe2-types.h